Bug 336365 - krunner doesn't restart itself after a crash
Summary: krunner doesn't restart itself after a crash
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: 5.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Vishesh Handa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 20:41 UTC by Antonio Rojas
Modified: 2014-06-19 17:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2014-06-17 20:41:14 UTC
In KDE4, when krunner crashes, it restarts itself without user intervention. In plasma 5 this is no longer the case, one needs to restart it manually

Reproducible: Always
Comment 1 Vishesh Handa 2014-06-19 17:32:25 UTC
Git commit aaa55d9f44c951507e36f952a223616c1b019d1b by Vishesh Handa.
Committed on 19/06/2014 at 12:51.
Pushed by vhanda into branch 'master'.

KRunner: Auto restart on crash

M  +1    -1    CMakeLists.txt
M  +1    -0    krunner/CMakeLists.txt
M  +3    -0    krunner/view.cpp

http://commits.kde.org/plasma-workspace/aaa55d9f44c951507e36f952a223616c1b019d1b